package com.xhpc.card.service;

import com.xhpc.common.core.domain.R;

/**
 * @author yuyang
 * @Date 2025-06-23 15:47
 */
public interface IAnalyzeTheMessageService {

    //充电桩登录认证
    R getRegisterLogic(String content);

    R getReplyRegisterLogic(String content);

    R getHBLogic(String content);

    R getReplyHBLogic(String content);

    R getRateModelValidateLogic(String content);

    R getReplyRateModelValidateLogic(String content);

    R getRateModelRequestLogic(String content);

    R getReplyRateModelRequestLogic(String content);

    R getRealtimeDataLogic(String content);

    R getBmsChargingHandshakeDataLogic(String content);

    R getBmsChargingConfigDataLogic(String content);

    R getBmsChargingCompletedDataLogic(String content);

    R getBmsErrorDataLogic(String content);

    R getBmsInterruptDataLogic(String content);

    R getBmsChargerInterruptDataLogic(String content);

    R getBmsReqChargerOutputDataLogic(String content);

    R getBmsChargingDataLogic(String content);

    R getPileStartChargingDataLogic(String content);

    R getReplyPileStartChargingDataLogic(String content);

    R getRemoteStartReplyDataLogic(String content);

    R getReplyRemoteStartReplyDataLogic(String content);

    R getRemoteStopReplyDataLogic(String content);

    R getReplyRemoteStopReplyDataLogic(String content);

    R getOrderDataLogic(String content);

    R getReplyOrderDataLogic(String content);

    R getBalanceUpdateReplyDataLogic(String content);

    R getReplyBalanceUpdateReplyDataLogic(String content);

    R getPileConfigReplyDataLogic(String content);

    R getReplyPileConfigReplyDataLogic(String content);

    R getPileTimeConfigReplyDataLogic(String content);

    R getReplyPileTimeConfigReplyDataLogic(String content);

    R getRateModelConfigReplyDataLogic(String content);

    R getReplyRateModelConfigReplyDataLogic(String content);

    R getRemoteRebootReplyDataLogic(String content);

    R getReplyRemoteRebootReplyDataLogic(String content);

    R getRemoteUpgradeReplyDataLogic(String content);

    R getRemoteUpgradeDataLogic(String content);

}
